Push records by task ID
Pushes records through the pipeline, directly to an index.
watch parameter, for asynchronous calls, you can use the observability endpoints or the debugger dashboard to see the status of your task.
If you want to transform your data before indexing, this is the recommended way of ingesting your records.
This method is similar to push, but requires a taskID instead of a indexName, which is useful when many destinations target the same indexName.
Required ACL: addObject, deleteIndex, editSettings
See also: Pre-indexing data transformationAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique identifier of a task. Universally unique identifier (UUID) of a task.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Query Parameters
When provided, the push operation will be synchronous and the API will wait for the ingestion to be finished before responding.
Body
Which indexing operation to perform:
addObject: adds records to an index. Equivalent to the "Add a new record (with auto-generated object ID)" operation.updateObject: adds or replaces records in an index. Equivalent to the "Add or replace a record" operation.partialUpdateObject: adds or updates attributes within records. Equivalent to the "Add or update attributes" operation with thecreateIfNoExistsparameter set to true. (If a record with the specifiedobjectIDdoesn't exist in the specified index, this action creates adds the record to the index)partialUpdateObjectNoCreate: same aspartialUpdateObject, but withcreateIfNoExistsset to false. (A record isn't added to the index if itsobjectIDdoesn't exist)deleteObject: delete records from an index. Equivalent to the "Delete a record" operation.delete. Delete an index. Equivalent to the "Delete an index" operation.clear: delete all records from an index. Equivalent to the "Delete all records from an index operation".
addObject, updateObject, partialUpdateObject, partialUpdateObjectNoCreate, deleteObject, delete, clear Response
OK
Universally unique identifier (UUID) of a task run.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
Date and time when the resource was created, in RFC 3339 format.
This field is always null when used with the Push endpoint. When used for a source discover or source validate run, it will include the sampled data of the source.
Universally unique identifier (UUID) of an event.
"6c02aeb1-775e-418e-870b-1faccd4b2c0f"
in case of error, observability events will be added to the response.
a message describing the outcome of the operation that has been ran (push, discover or validate) run.